# Elementon Filament Theme
This is a [Elementon](https://www.elementon.nl) branded theme for [Filament](https://filamentphp.com/).

Note that all naming is changed to Elementon and `v3.0` has introduced Elementon branding. Dcreative branding will be available as `v2.0` for filament `v2.0`.

## Version compatibility

| Filament Theme | Filament | Branding  |
| :------------- | :------- | :-------- |
| v3.x           | v2.x     | Elementon |
| v2.x           | v2.x     | Dcreative |
| v1.x           | v2.x     | Dcreative |

## Installation instructions
1. Ensure that the machines, servers, or containers that need access to this repository have an ssh key which is registered as a deploy key with this repository.
2. Register this repository in your `composer.json` file:

```json
"repositories": [
    {
        "type": "composer",
        "url": "https://code.elementon.nl/api/packages/Elementon/composer"
    }
]
```

1. Require the package:

```bash
composer require elementon/filament-theme
```

4. Publish the vendor assets:

```bash
php artisan vendor:publish --tag elementon-filament-theme --force
```

5. To make automatic publishing of assets easier add a post update command to your `composer.json`:

```json
"scripts": {
    "post-update-cmd": [
        "@php artisan vendor:publish --tag=elementon-filament-theme --force"
    ]
}
```
