const mix = require("laravel-mix");

mix
  .postCss("resources/css/filament.css", "css", [require("tailwindcss")])
  .sass("resources/scss/tweaks.scss", "css")
  .options({
    processCssUrls: false,
  })
  .copyDirectory("./resources/fonts", "publishes/fonts")
  .setPublicPath("publishes")
  .version();
